class SceneTemplate {
public:
	SceneTemplate( char* name );
	void addLine( char* line );
	char* getChars() { return( templateChars ); }
	char* getName() { return( templateName ); }
private:
	char* templateName;
	char* templateChars;
	unsigned int sceneTemplateLength;
};

class SceneTemplateManager {
public:
	SceneTemplateManager();
	SceneTemplate* addTemplate( char* name );
	void addLine( char* line );
	char* getTemplateChars( char* name );
private:
	SceneTemplate* templateList[200];
	int templateIdx;
};

